AOMedia AV1 Codec: AlgoCfg Struct Reference

| AOMedia AV1 Codec

AlgoCfg Struct Reference

Algorithm configuration parameters. More...

`#include <encoder.h>`

## Data Fields
int | sharpness
bool | enable_adaptive_sharpness
int | disable_trellis_quant
int | arnr_max_frames
int | arnr_strength
uint8_t | cdf_update_mode
bool | enable_tpl_model
bool | enable_overlay
LOOPFILTER_CONTROL | loopfilter_control
bool | skip_postproc_filtering
aom_screen_detection_mode | screen_detection_mode

## Detailed Description

Algorithm configuration parameters.

## Field Documentation

## ◆ sharpness

int AlgoCfg::sharpness

Controls the level at which rate-distortion optimization of transform coefficients favors sharpness in the block. Has no impact on RD when set to zero (default).

For values 1-7, eob and skip block optimization are avoided and rdmult is adjusted in favor of block sharpness.

In all-intra mode: it also sets the loop_filter_sharpness syntax element in the bitstream. Larger values increasingly reduce how much the filtering can change the sample values on block edges to favor perceived sharpness.

Referenced by av1_rd_pick_inter_mode(), av1_tf_do_filtering_row(), encode_with_recode_loop(), encode_without_recode(), motion_mode_rd(), search_intra_modes_in_interframe(), and tf_motion_search().

## ◆ enable_adaptive_sharpness

bool AlgoCfg::enable_adaptive_sharpness

Indicates if sharpness is adapted based on frame QP

## ◆ disable_trellis_quant

int AlgoCfg::disable_trellis_quant

Indicates the trellis optimization mode of quantized coefficients. 0: disabled 1: enabled 2: enabled for rd search 3: true for estimate yrd search

## ◆ arnr_max_frames

int AlgoCfg::arnr_max_frames

The maximum number of frames used to create an arf.

Referenced by av1_get_second_pass_params(), and tf_setup_filtering_buffer().

## ◆ arnr_strength

int AlgoCfg::arnr_strength

The temporal filter strength for arf used when creating ARFs.

Referenced by av1_tf_do_filtering_row().

## ◆ cdf_update_mode

uint8_t AlgoCfg::cdf_update_mode

Indicates the CDF update mode 0: no update 1: update on every frame(default) 2: selectively update

Referenced by encode_frame_to_data_rate().

## ◆ enable_tpl_model

bool AlgoCfg::enable_tpl_model

Indicates if RDO based on frame temporal dependency should be enabled.

Referenced by av1_get_second_pass_params(), av1_rd_pick_inter_mode(), and setup_delta_q().

## ◆ enable_overlay

bool AlgoCfg::enable_overlay

Indicates if coding of overlay frames for filtered ALTREF frames is enabled.

## ◆ loopfilter_control

LOOPFILTER_CONTROL AlgoCfg::loopfilter_control

Controls loop filtering 0: Loop filter is disabled for all frames 1: Loop filter is enabled for all frames 2: Loop filter is disabled for non-reference frames 3: Loop filter is disables for the frames with low motion

## ◆ skip_postproc_filtering

bool AlgoCfg::skip_postproc_filtering

Indicates if the application of post-processing filters should be skipped on reconstructed frame.

## ◆ screen_detection_mode

aom_screen_detection_mode AlgoCfg::screen_detection_mode

Controls screen content detection mode

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h